import sys
from collections import deque

for line in sys.stdin:
	cards = line.split()[1:]
	nums = dict()
	colors = dict()
	for card in cards:
		nums[card[0]] = nums.get(card[0], 0) + 1
		colors[card[1]] = colors.get(card[1], 0) + 1
	"""	
	count = 0
	for card in cards:
		print((nums[card[0]] + colors[card[1]] - 2))
		count += (nums[card[0]] + colors[card[1]] - 2) % 2
		
	if count > 2:
		print("NO")
		continue
	"""
	c = deque()
	c.append(cards[0])
	unused = set(cards[1:])
	while True:
		if len(c) == 0:
			break
		card = c.pop()
		toremove = set()
		for c2 in unused:
			if card[0] == c2[0] or card[1] == c2[1]:
				toremove.add(c2)
				c.append(c2)
		unused -= toremove
		
	if unused:
		print("NO")
	else:
		print("YES")
